logica.reportes

## Class Reporte

- java.lang.Object
- - logica.reportes.Reporte

    public class Reporte
    extends java.lang.Object

Clase generadora de reportes, inicia, configura y genera el reporte requerido los guarda en xml, json, docx, xlsx y html

### Constructor Summary

Constructors
Constructor and Description
`Reporte(java.io.File xslPath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.File` `getXslPath()`
`void` `reporteApoderadoMasEstudiantes(java.io.File reportesPath, java.lang.String html, java.lang.String xlsx, java.lang.String docx)` Genera el reporte de los apoderados con multiples estudiantes
`void` `reporteAsistenciaBajo(java.io.File reportesPath, java.lang.String html, java.lang.String xlsx, java.lang.String docx, int porcentaje)` Genera el reporte de estudiantes con un porcentaje de asistencia bajo
`void` `reporteAsistenciaYNotas(java.io.File reportesPath, java.lang.String html, java.lang.String xlsx, java.lang.String docx, Estudiante estudiante)` Genera el reporte de asistencia y notas de un estudiante
`void` `reporteGeneralApoderado(java.io.File reportesPath, java.lang.String html, java.lang.String xlsx, java.lang.String docx)` Genera el reporte general apoderado.
`void` `reporteNotasProfesor(java.io.File reportesPath, java.lang.String html, java.lang.String xlsx, java.lang.String docx, Profesor profesor)` Genera el reporte de notas de los alumnos en la asignatura que imparte un profesor
`void` `reportePlanificaciones(java.io.File reportesPath, java.lang.String html, java.lang.String xlsx, java.lang.String docx, Apoderado apoderado)` Genera el reporte de planificaciones de los alumnos de un apoderado
`void` `reporteReprobado(java.io.File reportesPath, java.lang.String html, java.lang.String xlsx, java.lang.String docx)` Genera el reporte que muestra los alumnos que estan reprobando en el colegio
`void` `setXslPath(java.io.File xslPath)`
`void` `setXStream(com.thoughtworks.xstream.XStream xstream)` Inicia XStream con propiedades deseadas, para no mostrar datos innecesarios de las clases y asignarles alias a las clases para no mostrar las rutas completas de estas.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Reporte

    public Reporte(java.io.File xslPath)

### Method Detail

#### getXslPath

    public java.io.File getXslPath()

#### setXslPath

    public void setXslPath(java.io.File xslPath)

#### setXStream

    public void setXStream(com.thoughtworks.xstream.XStream xstream)

Inicia XStream con propiedades deseadas, para no mostrar datos innecesarios de las clases y asignarles alias a las clases para no mostrar las rutas completas de estas.

Parameters:
  `xstream` - Instancia de XStream a modificar.

#### reporteGeneralApoderado

    public void reporteGeneralApoderado(java.io.File reportesPath,
                                        java.lang.String html,
                                        java.lang.String xlsx,
                                        java.lang.String docx)

Genera el reporte general apoderado.

#### reporteApoderadoMasEstudiantes

    public void reporteApoderadoMasEstudiantes(java.io.File reportesPath,
                                               java.lang.String html,
                                               java.lang.String xlsx,
                                               java.lang.String docx)

Genera el reporte de los apoderados con multiples estudiantes

#### reporteAsistenciaBajo

    public void reporteAsistenciaBajo(java.io.File reportesPath,
                                      java.lang.String html,
                                      java.lang.String xlsx,
                                      java.lang.String docx,
                                      int porcentaje)

Genera el reporte de estudiantes con un porcentaje de asistencia bajo

Parameters:
  `porcentaje` - El porcentaje minimo de asistencia.

#### reporteAsistenciaYNotas

    public void reporteAsistenciaYNotas(java.io.File reportesPath,
                                        java.lang.String html,
                                        java.lang.String xlsx,
                                        java.lang.String docx,
                                        Estudiante estudiante)

Genera el reporte de asistencia y notas de un estudiante

Parameters:
  `estudiante` - El estudiante del que se extraera la informacion

#### reporteNotasProfesor

    public void reporteNotasProfesor(java.io.File reportesPath,
                                     java.lang.String html,
                                     java.lang.String xlsx,
                                     java.lang.String docx,
                                     Profesor profesor)

Genera el reporte de notas de los alumnos en la asignatura que imparte un profesor

Parameters:
  `profesor` - El profesor del cual se quiere sacar la informacion.

#### reportePlanificaciones

    public void reportePlanificaciones(java.io.File reportesPath,
                                       java.lang.String html,
                                       java.lang.String xlsx,
                                       java.lang.String docx,
                                       Apoderado apoderado)

Genera el reporte de planificaciones de los alumnos de un apoderado

Parameters:
  `apoderado` - Apoderado al cual pertence los estudiantes

#### reporteReprobado

    public void reporteReprobado(java.io.File reportesPath,
                                 java.lang.String html,
                                 java.lang.String xlsx,
                                 java.lang.String docx)

Genera el reporte que muestra los alumnos que estan reprobando en el colegio